# -*- coding: utf-8 -*-

children = []
models = [
    {'model_name': 'currency', 'model_label': 'currency'},
]

for model in models:
    add_entry = {
        "title": f"add {model['model_label']}",
        "url_name": f"admin:currency_{model['model_name']}_add",
        "perms": [f"currency.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": f"list {model['model_label']}",
        "url_name": f"admin:currency_{model['model_name']}_changelist",
        "perms": [
            f"currency.view_{model['model_name']}",
            f"currency.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': 'currency',
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'currency'}},
    'perms': ['currency.*'],
    'children': children
}]
